<div class="container login-container" fxLayout="row" fxLayoutAlign="center center">
    <form [formGroup]="form" fxFlex="30%" fxFlex.sm="50%" fxFlex.xs="90%">
        <mat-card>
            <mat-card-title>angular-material-template</mat-card-title>
            <mat-card-subtitle>Reset your password</mat-card-subtitle>
            <mat-card-content>

                <mat-form-field class="full-width">
                    <input maxlength="50" id="emailInput" matInput placeholder="Email" formControlName="email" autocomplete="off" type="email">

                    <mat-error id="invalidEmailError" *ngIf="form.controls['email'].hasError('email')">
                        Please enter a valid email address
                    </mat-error>
                    <mat-error id="requiredEmailError" *ngIf="form.controls['email'].hasError('required')">
                        Email is
                        <strong>required</strong>
                    </mat-error>
                </mat-form-field>

            </mat-card-content>

            <mat-card-actions class="login-actions">
                <button id="submit" mat-raised-button color="primary" [disabled]="form.invalid || loading"
                    (click)="resetPassword()">Reset Password</button>
                <button id="cancel" mat-button (click)="cancel()">Cancel</button>
            </mat-card-actions>

        </mat-card>

        <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    </form>
</div>